<?php
$classic_attorney_first_color = get_theme_mod('classic_attorney_first_color');
$classic_attorney_second_color = get_theme_mod('classic_attorney_second_color');
$classic_attorney_color_scheme_css = '';

/*------------------ Global First Color -----------*/

if ($classic_attorney_first_color) {
    $classic_attorney_color_scheme_css .= ':root {';
    $classic_attorney_color_scheme_css .= '--first-theme-color: ' . esc_attr($classic_attorney_first_color) . ' !important;';
    $classic_attorney_color_scheme_css .= '} ';
} 

/*------------------ Global Second Color -----------*/

if ($classic_attorney_second_color) {
    $classic_attorney_color_scheme_css .= ':root {';
    $classic_attorney_color_scheme_css .= '--second-theme-color: ' . esc_attr($classic_attorney_second_color) . ' !important;';
    $classic_attorney_color_scheme_css .= '} ';
} 

$classic_attorney_show_topbar = get_theme_mod('classic_attorney_show_topbar', false);
if($classic_attorney_show_topbar != true){
    $classic_attorney_color_scheme_css .='.menu-header {';
        $classic_attorney_color_scheme_css .='margin-top: 25px;';
    $classic_attorney_color_scheme_css .='}';
}

$classic_attorney_slider = get_theme_mod('classic_attorney_slider', false);
if($classic_attorney_slider != true){
    $classic_attorney_color_scheme_css .='.page-template-template-home-page .main-header{';
        $classic_attorney_color_scheme_css .='position: static; margin-bottom: 25px';
    $classic_attorney_color_scheme_css .='}';
}

$classic_attorney_banner_background_img = get_theme_mod('classic_attorney_banner_background_img');
if($classic_attorney_banner_background_img != false){
    $classic_attorney_color_scheme_css .='#slider-cat .sliderbox{';
        $classic_attorney_color_scheme_css .='background-image: url('.esc_attr($classic_attorney_banner_background_img).');';
    $classic_attorney_color_scheme_css .='}';
}

//---------------------------------Logo-Max-height--------- 
$classic_attorney_logo_width = get_theme_mod('classic_attorney_logo_width');
if($classic_attorney_logo_width != false){
    $classic_attorney_color_scheme_css .='.classic-attorney-logo img{';
      $classic_attorney_color_scheme_css .='width: '.esc_html($classic_attorney_logo_width).'px;';
    $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Woocommerce Product Image Border Radius -------------------*/

$classic_attorney_woo_product_img_border_radius = get_theme_mod('classic_attorney_woo_product_img_border_radius');
if($classic_attorney_woo_product_img_border_radius != false){
    $classic_attorney_color_scheme_css .='.woocommerce-shop.woocommerce .product-content .product-image img{';
    $classic_attorney_color_scheme_css .='border-radius: '.esc_attr($classic_attorney_woo_product_img_border_radius).'px;';
    $classic_attorney_color_scheme_css .='}';
}  

/*--------------------------- Scroll to top positions -------------------*/

$classic_attorney_scroll_position = get_theme_mod( 'classic_attorney_scroll_position','Right');
if($classic_attorney_scroll_position == 'Right'){
    $classic_attorney_color_scheme_css .='#button{';
        $classic_attorney_color_scheme_css .='right: 20px;';
    $classic_attorney_color_scheme_css .='}';
}else if($classic_attorney_scroll_position == 'Left'){
    $classic_attorney_color_scheme_css .='#button{';
        $classic_attorney_color_scheme_css .='left: 20px;';
    $classic_attorney_color_scheme_css .='}';
}else if($classic_attorney_scroll_position == 'Center'){
    $classic_attorney_color_scheme_css .='#button{';
        $classic_attorney_color_scheme_css .='right: 50%;left: 50%;';
    $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Footer background image -------------------*/

$classic_attorney_footer_bg_image = get_theme_mod('classic_attorney_footer_bg_image');
if($classic_attorney_footer_bg_image != false){
    $classic_attorney_color_scheme_css .='#footer{';
        $classic_attorney_color_scheme_css .='background: url('.esc_attr($classic_attorney_footer_bg_image).');';
        $classic_attorney_color_scheme_css .= 'background-size: cover;';  
    $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Footer image position -------------------*/

$classic_attorney_footer_img_position = get_theme_mod('classic_attorney_footer_img_position','center center');
if($classic_attorney_footer_img_position != false){
    $classic_attorney_color_scheme_css .='#footer{';
        $classic_attorney_color_scheme_css .='background-position: '.esc_attr($classic_attorney_footer_img_position).';';
    $classic_attorney_color_scheme_css .='}';
}	

/*--------------------------- Shop page pagination -------------------*/

$classic_attorney_wooproducts_nav = get_theme_mod('classic_attorney_wooproducts_nav', 'Yes');
if($classic_attorney_wooproducts_nav == 'No'){
  $classic_attorney_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
    $classic_attorney_color_scheme_css .='display: none;';
  $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Related Product -------------------*/

$classic_attorney_related_product_enable = get_theme_mod('classic_attorney_related_product_enable',true);
if($classic_attorney_related_product_enable == false){
  $classic_attorney_color_scheme_css .='.related.products{';
    $classic_attorney_color_scheme_css .='display: none;';
  $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Scroll to Top Button Shape -------------------*/

$classic_attorney_scroll_top_shape = get_theme_mod('classic_attorney_scroll_top_shape', 'circle');
if($classic_attorney_scroll_top_shape == 'box' ){
    $classic_attorney_color_scheme_css .='#button{';
        $classic_attorney_color_scheme_css .=' border-radius: 0%';
    $classic_attorney_color_scheme_css .='}';
}elseif($classic_attorney_scroll_top_shape == 'curved' ){
    $classic_attorney_color_scheme_css .='#button{';
        $classic_attorney_color_scheme_css .=' border-radius: 20%';
    $classic_attorney_color_scheme_css .='}';
}elseif($classic_attorney_scroll_top_shape == 'circle' ){
    $classic_attorney_color_scheme_css .='#button{';
        $classic_attorney_color_scheme_css .=' border-radius: 50%;';
    $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Menu Typography -------------------*/

$classic_attorney_theme_lay = get_theme_mod( 'classic_attorney_menu_text_transform','Capitalize');
if($classic_attorney_theme_lay == 'Uppercase'){
    $classic_attorney_color_scheme_css .='.main-nav a{';
        $classic_attorney_color_scheme_css .='text-transform: uppercase;';
    $classic_attorney_color_scheme_css .='}';
}else if($classic_attorney_theme_lay == 'Lowercase'){
    $classic_attorney_color_scheme_css .='.main-nav a{';
        $classic_attorney_color_scheme_css .='text-transform: lowercase;';
    $classic_attorney_color_scheme_css .='}';
}
else if($classic_attorney_theme_lay == 'Capitalize'){
    $classic_attorney_color_scheme_css .='.main-nav a{';
        $classic_attorney_color_scheme_css .='text-transform: capitalize;';
    $classic_attorney_color_scheme_css .='}';
}

/*--------------------------- Post Layout -------------------*/

$classic_attorney_blog_layouts = get_theme_mod('classic_attorney_blog_layout_option_setting', 'Left');
if ($classic_attorney_blog_layouts == 'Left') {
    $classic_attorney_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_attorney_color_scheme_css .= 'text-align:left;';
    $classic_attorney_color_scheme_css .= '}';
} elseif ($classic_attorney_blog_layouts == 'Center') {
    $classic_attorney_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_attorney_color_scheme_css .= 'text-align:center;';
    $classic_attorney_color_scheme_css .= '}';
} elseif ($classic_attorney_blog_layouts == 'Right') {
    $classic_attorney_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_attorney_color_scheme_css .= 'text-align:right;';
    $classic_attorney_color_scheme_css .= '}';
}